org.bouncycastle.pqc.crypto.cmce

## Class CMCEKeyPairGenerator

- java.lang.Object
- - org.bouncycastle.pqc.crypto.cmce.CMCEKeyPairGenerator

- All Implemented Interfaces:
    AsymmetricCipherKeyPairGenerator

  Deprecated.
  the standardised Classic McEliece KEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see org.bouncycastle.crypto.params.CMCEParameters and org.bouncycastle.jcajce.spec.CMCEParameterSpec). This is the legacy NIST round 3 (non-pc, incl. mceliece348864) implementation, retained for backwards compatibility.

      @Deprecated
      public class CMCEKeyPairGenerator
      extends java.lang.Object
      implements AsymmetricCipherKeyPairGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMCEKeyPairGenerator()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsymmetricCipherKeyPair` | `generateKeyPair()` Deprecated. return an AsymmetricCipherKeyPair containing the generated keys.
    `void` | `init(KeyGenerationParameters param)` Deprecated. intialise the key pair generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMCEKeyPairGenerator

          public CMCEKeyPairGenerator()

      Deprecated.

  - ### Method Detail

    - #### init

          public void init(KeyGenerationParameters param)

      Deprecated.
      Description copied from interface: `AsymmetricCipherKeyPairGenerator`
      intialise the key pair generator.
      Specified by:
        `init` in interface `AsymmetricCipherKeyPairGenerator`
      Parameters:
        `param` - the parameters the key pair is to be initialised with.

    - #### generateKeyPair

          public AsymmetricCipherKeyPair generateKeyPair()

      Deprecated.
      Description copied from interface: `AsymmetricCipherKeyPairGenerator`
      return an AsymmetricCipherKeyPair containing the generated keys.
      Specified by:
        `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
      Returns:
        an AsymmetricCipherKeyPair containing the generated keys.